//
//  AbstractViewManager.h
//  DemoViewManager
//
//  Created by Douglas Sjoquist on 7/9/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface AbstractViewManager : NSObject {
    NSString *title_;
    UIView *view_;
    BOOL loaded_;
    BOOL visible_;    
}

@property (nonatomic, copy) NSString *title;
@property (nonatomic, retain) IBOutlet UIView *view;

- (id) initWithNibName:(NSString *) nibNameOrNil bundle:nibBundleOrNil options:(NSDictionary *) options;

- (void) viewDidLoad;
- (void) viewDidUnload;
- (BOOL) isViewLoaded;
- (void) viewWillAppear:(BOOL) animated;
- (void) viewDidAppear:(BOOL) animated;
- (void) viewWillDisappear:(BOOL) animated;
- (void) viewDidDisappear:(BOOL) animated;
- (BOOL) isViewVisible;
- (void) didRotateFromInterfaceOrientation:(UIInterfaceOrientation) fromInterfaceOrientation;
- (void) didReceiveMemoryWarning;

- (void) configureView;

@end
