//
//  DemoViewManagerAppDelegate.m
//  DemoViewManager
//
//  Created by Douglas Sjoquist on 7/9/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import "DemoViewManagerAppDelegate.h"
#import "RootViewController.h"
#import "DetailViewController.h"

@implementation DemoViewManagerAppDelegate

@synthesize window = window_;
@synthesize splitViewController = splitViewController_;
@synthesize rootViewController = rootViewController_;
@synthesize detailViewController = detailViewController_;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    window_ = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    window_.backgroundColor = [UIColor blackColor];
    
    splitViewController_ = [[UISplitViewController alloc] init];
    
    rootViewController_ = [[[RootViewController alloc] initWithNibName:@"RootViewController" bundle:nil] autorelease];
    detailViewController_ = [[[DetailViewController alloc] initWithNibName:@"DetailViewController" bundle:nil] autorelease];
    rootViewController_.detailViewController = detailViewController_;
    
    UINavigationController *rootNav = [[[UINavigationController alloc] initWithRootViewController:rootViewController_] autorelease];
    splitViewController_.delegate = detailViewController_;
    splitViewController_.viewControllers = [NSArray arrayWithObjects:rootNav, detailViewController_, nil];

    [window_ addSubview:splitViewController_.view];
    
    [window_ makeKeyAndVisible];
    [window_ layoutSubviews];    
    
    return YES;
}

- (void)dealloc {
    [window_ release];
    [splitViewController_ release];
    [rootViewController_ release];
    [detailViewController_ release];
    
    [super dealloc];
}

@end
