//
//  RootViewController.m
//  DemoViewManager
//
//  Created by Douglas Sjoquist on 7/9/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import "RootViewController.h"

#import "DetailViewController.h"

@implementation RootViewController
		
@synthesize detailViewController = detailViewController_;
@synthesize tableView = tableView_;
@synthesize items = items_;

- (void)dealloc {
    [detailViewController_ release], detailViewController_ = nil;
    [tableView_ release], tableView_ = nil;
    [items_ release], items_ = nil;
    
    [super dealloc];
}

- (void)viewDidLoad {
    [super viewDidLoad];

    self.items = [NSArray arrayWithObjects:
                  [NSDictionary dictionaryWithObjectsAndKeys:
                   @"image", @"type", 
                   @"First example for imageViewManager", @"title",
                   @"sampleImage1.jpg", @"name",
                   nil],
                  [NSDictionary dictionaryWithObjectsAndKeys:
                   @"web", @"type", 
                   @"First example webViewManager", @"title",
                   @"http://news.ycombinator.com/", @"url",
                   nil],
                  [NSDictionary dictionaryWithObjectsAndKeys:
                   @"image", @"type", 
                   @"Second example for imageViewManager", @"title",
                   @"sampleImage2.jpg", @"name",
                   nil],
                  [NSDictionary dictionaryWithObjectsAndKeys:
                   @"web", @"type", 
                   @"Second example webViewManager", @"title",
                   @"http://www.google.com/", @"url",
                   nil],
                  nil];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    return YES;
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

		
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [items_ count];
}

		
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }

    NSDictionary *detailItem = [items_ objectAtIndex:[indexPath row]];
    cell.textLabel.text = [detailItem valueForKey:@"title"];
    		
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    self.detailViewController.detailItem = [items_ objectAtIndex:[indexPath row]];
}


@end
