//
//  WebViewManager.m
//  DemoViewManager
//
//  Created by Douglas Sjoquist on 7/9/11.
//  Copyright 2011 Ivy Gulch, LLC. All rights reserved.
//

#import "WebViewManager.h"

@interface WebViewManager()
- (void) stopLoading;
@end

@implementation WebViewManager

@synthesize webView = webView_;

- (void) dealloc {
    [webView_ setDelegate:nil];
    [self stopLoading];
    [webView_ release], webView_ = nil;
    
    [super dealloc];
}

- (void) viewDidUnload {
    self.webView.delegate = nil;
    [self stopLoading];
    self.webView = nil;
    
    [super viewDidUnload];
}

- (void) viewWillDisappear:(BOOL)animated {
    [super viewWillDisappear:animated];
    
    [self stopLoading];
}

- (void) stopLoading {
    if (webView_.loading) {
        [webView_ stopLoading];
    }    
}

- (UIView *)viewForZoomingInScrollView:(UIScrollView *)scrollView {
    return self.webView;
}

- (void) loadURL:(NSString *)urlStr title:(NSString *) title {
    self.title = title;
    NSURL *url = [NSURL URLWithString:urlStr];
    if (url) {
        NSURLRequest *requestObj = [NSURLRequest requestWithURL:url];
        [self.webView loadRequest:requestObj];
    }
}

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error {
    NSLog(@"error: %@", error);
}

@end
